Subject: Re: [PATCH -next] staging/easycap: make module params private/static, fix build

From: Randy Dunlap <[email-masked]>
Date: Thu, 11 Nov 2010 14:18:12 -0800

On 11/11/10 14:02, R.M. Thomas wrote:
> Randy Dunlap wrote:
>> The easycap driver has module parameters (bars, gain, & debug)
>> with global scope that intrude on the kernel namespace and cause
>> build problems.  Change the names of them to be driver-specific
>> and make 2 of them static.
> 
> I did do test builds of the driver in-tree prior to submitting the
> recent set of patches, but did not see any warnings so did not spot
> this mistake.  There's presumably something wrong with the way I'm
> building the kernel.

This build problem shows up when this driver is built into the kernel
image, not built as a loadable module.  Did you only build as a loadable
module, maybe?  and what CPU architecture did you build for?  That could
also matter.

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***